Loading...
Searching...
No Matches
logger-fwd.hpp File Reference

## Description

Declares utilities related to mongocxx logging.

Includes
  - mongocxx/v1/logger-fwd.hpp

Go to the source code of this file.

## Classes

class | mongocxx::default_logger
| A tag type representing mongoc's default unstructured log handler. More...
class | mongocxx::logger
| The interface for an unstructured log message handler. More...
class | mongocxx::v_noabi::default_logger
| A tag type representing mongoc's default unstructured log handler. More...
class | mongocxx::v_noabi::logger
| The interface for an unstructured log message handler. More...

## Namespaces

namespace | mongocxx
| The top-level namespace within which all mongocxx library entities are declared.
namespace | mongocxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Enumerations

enum class | mongocxx::log_level
| The log level for an unstructured log message. More...
enum class | mongocxx::v_noabi::log_level
| The log level for an unstructured log message. More...